{
  "name": "netrunner-app",
  "version": "0.1.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "npm run prep:matrix && tsc && vite build",
    "build:dev": "npm run prep:matrix && tsc && vite build --mode development",
    "preview": "vite preview",
    "tauri": "tauri",
    "prep:matrix": "mkdir -p public/wasm-matrix && cp -rf node_modules/matrix-engine/* public/wasm-matrix/",
    "android-logs": "adb logcat -c && adb logcat NETRUNNER_RUST VPN_DEBUG AndroidRuntime:E System.err:V VpnConfigService VpnService *:S",
    "android-logs:full": "adb logcat NETRUNNER_RUST VPN_DEBUG AndroidRuntime:E System.err:V *:W"
  },
  "dependencies": {
    "@fontsource-variable/figtree": "^5.2.10",
    "@fontsource-variable/nunito-sans": "^5.2.7",
    "@hugeicons/core-free-icons": "^4.0.0",
    "@hugeicons/react": "^1.1.5",
    "@tabler/icons-react": "^3.40.0",
    "@tauri-apps/api": "^2.0.0",
    "@tauri-apps/plugin-process": "^2.3.1",
    "@tauri-apps/plugin-shell": "^2.0.0",
    "@tauri-apps/plugin-updater": "^2.10.1",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "framer-motion": "^12.35.2",
    "i18next": "^25.8.16",
    "i18next-browser-languagedetector": "^8.2.1",
    "lucide-react": "^0.577.0",
    "matrix-engine": "link:../netrunner-landing/matrix-engine/pkg",
    "radix-ui": "^1.4.3",
    "react": "^19.0.0",
    "react-country-flag": "^3.1.0",
    "react-dom": "^19.0.0",
    "react-i18next": "^16.5.6",
    "react-router-dom": "^7.1.5",
    "shadcn": "^4.0.2",
    "tailwind-merge": "^3.5.0",
    "tw-animate-css": "^1.4.0",
    "zustand": "^5.0.12"
  },
  "devDependencies": {
    "@tailwindcss/vite": "^4.2.1",
    "@tauri-apps/cli": "^2.0.0",
    "@types/node": "^25.3.5",
    "@types/react": "^19.0.0",
    "@types/react-dom": "^19.0.0",
    "@vitejs/plugin-react": "^5.1.4",
    "autoprefixer": "^10.4.27",
    "postcss": "^8.5.8",
    "tailwindcss": "^4.2.1",
    "typescript": "^5.0.0",
    "vite": "^7.3.1"
  }
}
